Storage Management/Data Storage APIs/SAN Storage Related Interfaces/iSCSI Server Related Interfaces
GETiSCSI Server Related InterfacesSince 3.0.0SynchronousAuth Required
Query iSCSI Server
Query iSCSI Server
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
This API requires no request parameters.
Responses
Endpoint
GET/zstack/v1/storage-devices/iscsi/servers
/zstack/v1/storage-devices/iscsi/servers
Request Example
curl -X GET 'http://{host}/zstack/v1/storage-devices/iscsi/servers' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "uuid": "fd97e8b6d61c399abed358ea6b2fc206", "name": "iscsi-server-10.0.0.201", "ip": "10.0.0.201", "port": 3260.0, "chapUserName": "username", "chapUserPassword": "password", "state": "Enabled", "iscsiTargets": [ { "iscsiServerUuid": "fd97e8b6d61c399abed358ea6b2fc206", "uuid": "d156429110f13c2ca07bbc04e4031231", "iqn": "iqn.2018-01.io.cloud:tsn.00001", "state": "Enabled", "iscsiLuns": [ { "uuid": "500f63c8f44939bbab102222927f9290", "iscsiTargetUuid": "d156429110f13c2ca07bbc04e4031231", "wwid": "36b083fe000daf018000015505abbe00a", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6b083fe000daf018", "serial": "6b083fe000daf018000015505abbe00a", "hctl": "6:0:1:1", "type": "mpath", "path": "ip-0.0.0.201:3260-iscsi-iqn.2018-01.io.cloud:tsn.00001-lun-0", "size": 3.000318820352E13, "multipathDeviceUuid": "36b083fe000daf018000015505abbe00a" } ], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "iscsiClusterRefs": [ { "id": 1.0, "iscsiServerUuid": "fd97e8b6d61c399abed358ea6b2fc206", "clusterUuid": "02db8eb4e3043f55b7f1cf02df735611", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }Change History
This API has no change history records yet.
